local function varargToString(...)
	local output = {}
	for i = 1, select("#", ...) do
		local value = select(i, ...)
		output[#output + 1] = '"' .. tostring(value) .. '"'
	end
	return table.concat(output, ",")
end

if not WeakAurasSaved then WeakAurasSaved = {} end
if not WeakAurasSaved.Cyka then WeakAurasSaved.Cyka = {} end
if not WeakAurasSaved.Cyka.CombatLog then WeakAurasSaved.Cyka.CombatLog = {} end
---@param spellName string
---@param spellId number
---@param subevent string
---@param ... any
aura_env.LogSpell = function(subevent, ...)
	print(varargToString(subevent, ...))
	table.insert(WeakAurasSaved.Cyka.CombatLog, varargToString(subevent, ...))
end
-- /dump WeakAurasSaved.Cyka.CombatLog
-- /run WeakAurasSaved.Cyka.CombatLog = {}
